Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class AbstractHardwareComponent

    java.lang.Object
      dioscuri.module.cpu32.AbstractHardwareComponent

All Implemented Interfaces:
  HardwareComponent, Hibernatable

Direct Known Subclasses:
  SystemBIOS, VGABIOS

    public abstract class AbstractHardwareComponent

extends java.lang.Object
implements HardwareComponent

Author:
  Bram Lohman, Bart Kiers

Constructor Summary
`AbstractHardwareComponent()`

Method Summary
`void` | `acceptComponent(HardwareComponent component)`
`void` | `dumpState(java.io.DataOutput output)`
`boolean` | `initialised()`
`void` | `loadState(java.io.DataInput input)`
`boolean` | `reset()`
`void` | `timerCallback()`
`void` | `updateComponent(HardwareComponent component)`
`boolean` | `updated()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractHardwareComponent

    public AbstractHardwareComponent()

Method Detail

### initialised

    public boolean initialised()

  Specified by:
    `initialised` in interface `HardwareComponent`
  Returns:
    -

### acceptComponent

    public void acceptComponent(HardwareComponent component)

  Specified by:
    `acceptComponent` in interface `HardwareComponent`
  Parameters:
    `component` -

### updated

    public boolean updated()

  Specified by:
    `updated` in interface `HardwareComponent`
  Returns:
    -

### updateComponent

    public void updateComponent(HardwareComponent component)

  Specified by:
    `updateComponent` in interface `HardwareComponent`
  Parameters:
    `component` -

### reset

    public boolean reset()

  Specified by:
    `reset` in interface `HardwareComponent`
  Returns:
    -

### dumpState

    public void dumpState(java.io.DataOutput output)
                   throws java.io.IOException

  Specified by:
    `dumpState` in interface `HardwareComponent`
  Parameters:
    `output` -
  Throws:
    `java.io.IOException`

### loadState

    public void loadState(java.io.DataInput input)
                   throws java.io.IOException

  Specified by:
    `loadState` in interface `HardwareComponent`
  Parameters:
    `input` -
  Throws:
    `java.io.IOException`

### timerCallback

    public void timerCallback()

  Specified by:
    `timerCallback` in interface `HardwareComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD